//////////////////////////////////////////////////////////////////////////
//binary to segment LED converter (untested)
// converts from 4bit input to coresponding 
module bin2HexLED (IN, SEGLED);
   input [3:0] IN;
   output [6:0] SEGLED;
   reg [6:0] 	SEGLED;
   
   always @(IN) begin
      case (IN)
	4'h0: SEGLED <= 7'b0111111;
	4'h1: SEGLED <= 7'b0000110;
	4'h2: SEGLED <= 7'b1011011;
	4'h3: SEGLED <= 7'b1001111;
	4'h4: SEGLED <= 7'b1100110;
	4'h5: SEGLED <= 7'b1101101;
	4'h6: SEGLED <= 7'b1111101;
	4'h7: SEGLED <= 7'b0000111;
	4'h8: SEGLED <= 7'b1111111;
	4'h9: SEGLED <= 7'b1100111;
	4'hA: SEGLED <= 7'b1110111;
	4'hB: SEGLED <= 7'b1111100;
	4'hC: SEGLED <= 7'b1011000;
	4'hD: SEGLED <= 7'b1011110;
	4'hE: SEGLED <= 7'b1111001;
	4'hF: SEGLED <= 7'b1110001;
      endcase
   end
endmodule // HEXLED


module debounce (I, O, C);
   
   input     I;
   output    O;
   input     C;
   
   reg Q1, Q2, Q3;

   always @(posedge C) begin
      Q1 <= #1 I;
      Q2 <= #1 ~Q1;
      Q3 <= #1 Q2;
   end
   
   assign O = ~Q1 & Q2 & ~Q3;
   
endmodule

module clkDivider(clk, clkOut);

input clk;
output clkOut;

reg [15:0] clkDiv;
assign clkOut = clkDiv[15];

   always @(posedge clk) begin
      clkDiv <= clkDiv + 1'b1;
   end

endmodule