`define half_cycletime 10000
`timescale 1 ps/1 ps

module lab2_cir_testbench;
   reg [7:0] IN;
   reg       E, R, CLK;
   wire [7:0] OUT;
   
   lab2_cir lab2_cir(.IN(IN), .E(E), .R(R), .CLK(CLK), .OUT(OUT));

   always
     begin
	 #(`half_cycletime) CLK = ~CLK;
     end

   initial
     begin
	CLK = 1'b1;
	R = 1'b1;
	E = 1'b0;
	IN = 8'h01;
	
	#(`half_cycletime * 5);//2.5 clock cycles
	
	R = 1'b0;
	E = 1'b1;
	
	#(`half_cycletime * 40);//20 clock cycles
	
	IN = 8'h12;
	
	#(`half_cycletime * 40);//20 clock cycles
	
	E = 1'b0;

	#(`half_cycletime * 8);//4 clock cycles	

	
     end
   
endmodule
   
